> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/vaults/get-the-asset-balance-for-a-vault-account",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get the asset balance for a vault account

> Returns a specific vault wallet balance information for a specific asset.

Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor,
  Viewer.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /vault/accounts/{vaultAccountId}/{assetId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /vault/accounts/{vaultAccountId}/{assetId}:
    get:
      tags:
        - Vaults
      summary: Get the asset balance for a vault account
      description: >-
        Returns a specific vault wallet balance information for a specific
        asset.


        Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor,
          Viewer.
      operationId: getVaultAccountAsset
      parameters:
        - in: path
          name: vaultAccountId
          required: true
          description: The ID of the vault account to return
          schema:
            type: string
            format: numeric
            x-fb-entity: vault_account
        - in: path
          name: assetId
          required: true
          description: The ID of the asset
          schema:
            type: string
            x-fb-entity: asset
      responses:
        '200':
          description: A VaultAsset object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VaultAsset'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<VaultAsset>> =
            fireblocks.vaults.getVaultAccountAsset(vaultsApiGetVaultAccountAssetRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<VaultAsset>> response =
            fireblocks.vaults().getVaultAccountAsset(vaultAccountId, assetId);
        - lang: Python
          source: >-
            response =
            fireblocks.vaults.get_vault_account_asset(vault_account_id,
            asset_id);
components:
  schemas:
    VaultAsset:
      type: object
      properties:
        id:
          type: string
        total:
          description: >-
            The total wallet balance. In EOS this value includes the network
            balance, self staking and pending refund. For all other coins it is
            the balance as it appears on the blockchain.
          type: string
        balance:
          deprecated: true
          description: Deprecated - replaced by "total"
          type: string
        available:
          description: >-
            Funds available for transfer. Equals the blockchain balance minus
            any locked amounts
          type: string
        pending:
          description: The cumulative balance of all transactions pending to be cleared
          type: string
        frozen:
          description: The cumulative frozen balance
          type: string
        lockedAmount:
          description: >-
            Funds in outgoing transactions that are not yet published to the
            network
          type: string
        staked:
          description: Staked balance
          type: string
        totalStakedCPU:
          type: string
          description: Deprecated
        totalStakedNetwork:
          type: string
          description: Deprecated
        selfStakedCPU:
          type: string
          description: Deprecated
        selfStakedNetwork:
          type: string
          description: Deprecated
        pendingRefundCPU:
          type: string
          description: Deprecated
        pendingRefundNetwork:
          type: string
          description: Deprecated
        blockHeight:
          type: string
        blockHash:
          type: string
        rewardsInfo:
          $ref: '#/components/schemas/RewardsInfo'
    RewardsInfo:
      type: object
      properties:
        pendingRewards:
          description: Amount that is pending for rewards
          type: string
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````